Subject: compiling on on OSF/1

From: Robert Williams <[email-masked]>
Date: Thu, 21 Nov 1996 16:12:58 -0500

I have the following errors when
compiling on OSF/1 v3.2.  Are there
fixes available for these problems?

Making ftpd.
cc -O -DDEBUG -I.. -I../support -Olimit 1000 -L../support -s -x -c
ftpd.c
/usr/lib/cmplrs/cc/cfe: Warning: ftpd.c, line 837: illegal combination
of pointe
r and integer
     if ((pr = getprpwnam(name)) == 0L)
 ------------^
/usr/lib/cmplrs/cc/cfe: Error: ftpd.c, line 856: 'uflg' undefined,
reoccurrences
 will not be reported
      if (pr->uflg.fg_encrypt && pr->ufld.fd_encrypt &&
*pr->ufld.fd_encrypt)
 -----------^
/usr/lib/cmplrs/cc/cfe: Error: ftpd.c, line 856: member of structure or
union re
quired
      if (pr->uflg.fg_encrypt && pr->ufld.fd_encrypt &&
*pr->ufld.fd_encrypt)
 -------------^
/usr/lib/cmplrs/cc/cfe: Error: ftpd.c, line 857: 'ufld' undefined,
reoccurrences
 will not be reported
         save.pw_passwd = sgetsave(pr->ufld.fd_encrypt);
 ------------------------------------^
/usr/lib/cmplrs/cc/cfe: Error: ftpd.c, line 857: member of structure or
union re
quired
         save.pw_passwd = sgetsave(pr->ufld.fd_encrypt);
 --------------------------------------^
*** Exit 1
Stop.

Making ftpcount.
cc -O -DDEBUG -I.. -I../support -Olimit 1000 -L../support -s -x -o
ftpcount ftpc
ount.c vers.o -lsupport -lsecurity -laud
ld:
Can't open: vers.o (No such file or directory)
*** Exit 1
Stop.

etc....

-- 
from Bob Williams, mailto:[email-masked]